export const CHECK_AUTHORIZATION = 'CHECK_AUTHORIZATION';

export const LOG_IN_FAIL = 'LOG_IN_FAIL';
export const LOG_IN_START = 'LOG_IN_START';
export const LOG_IN_SUCCESS = 'LOG_IN_SUCCESS';

export const LOG_OUT_FAIL = 'LOG_OUT_FAIL';
export const LOG_OUT_START = 'LOG_OUT_START';
export const LOG_OUT_SUCCESS = 'LOG_OUT_SUCCESS';

export const GET_PROFILE_FAIL = 'GET_PROFILE_FAIL';
export const GET_PROFILE_START = 'GET_PROFILE_START';
export const GET_PROFILE_SUCCESS = 'GET_PROFILE_SUCCESS';

export const UPDATE_PROFILE_FAIL = 'UPDATE_PROFILE_FAIL';
export const UPDATE_PROFILE_START = 'UPDATE_PROFILE_START';
export const UPDATE_PROFILE_SUCCESS = 'UPDATE_PROFILE_SUCCESS';

export const UPDATE_PROFILE_AVATAR_FAIL = 'UPDATE_PROFILE_AVATAR_FAIL';
export const UPDATE_PROFILE_AVATAR_START = 'UPDATE_PROFILE_AVATAR_START';
export const UPDATE_PROFILE_AVATAR_SUCCESS = 'UPDATE_PROFILE_AVATAR_SUCCESS';

export const GET_SELECTED_USER_PROFILE_FAIL = 'GET_SELECTED_USER_PROFILE_FAIL';
export const GET_SELECTED_USER_PROFILE_REQUEST = 'GET_SELECTED_USER_PROFILE_REQUEST';
export const GET_SELECTED_USER_PROFILE_SUCCESS = 'GET_SELECTED_USER_PROFILE_SUCCESS';

export const USER_PROFILE_GET_BY_CODE_REQUEST = 'USER_PROFILE_GET_BY_CODE_REQUEST';
export const USER_PROFILE_GET_BY_CODE_SUCCESS = 'USER_PROFILE_GET_BY_CODE_SUCCESS';

export const USER_PROFILE_GET_BY_CODE_FAIL = 'USER_PROFILE_GET_BY_CODE_FAIL';

export const USER_PROFILE_CHANGE_AVATAR_REQUEST = 'USER_PROFILE_CHANGE_AVATAR_REQUEST';
export const USER_PROFILE_CHANGE_AVATAR_SUCCESS  = 'USER_PROFILE_CHANGE_AVATAR_SUCCESS';
export const USER_PROFILE_CHANGE_AVATAR_FAIL = 'USER_PROFILE_CHANGE_AVATAR_FAIL';

export const USER_PROFILE_REGISTRATION_REQUEST = 'USER_PROFILE_REGISTRATION_REQUEST';
export const USER_PROFILE_REGISTRATION_SUCCESS = 'USER_PROFILE_REGISTRATION_SUCCESS';
export const USER_PROFILE_REGISTRATION_FAIL = 'USER_PROFILE_REGISTRATION_FAIL';

export const CURRENT_USER_UPDATE_REQUEST = 'CURRENT_USER_UPDATE_REQUEST';
export const CURRENT_USER_UPDATE_SUCCESS = 'CURRENT_USER_UPDATE_SUCCESS';
export const CURRENT_USER_UPDATE_FAIL = 'CURRENT_USER_UPDATE_FAIL';

export const GET_USERS_LIST_REQUEST = 'GET_USERS_LIST_REQUEST';
export const GET_USERS_LIST_SUCCESS = 'GET_USERS_LIST_SUCCESS';
export const GET_USERS_LIST_FAIL = 'GET_USERS_LIST_FAIL';

export const UPDATE_SELECTED_USER_REQUEST = 'UPDATE_SELECTED_USER_REQUEST';
export const UPDATE_SELECTED_USER_SUCCESS = 'UPDATE_SELECTED_USER_SUCCESS';
export const UPDATE_SELECTED_USER_FAIL = 'UPDATE_SELECTED_USER_FAIL';

export const UPDATE_CURRENT_USER_REQUEST = 'UPDATE_CURRENT_USER_REQUEST';
export const UPDATE_CURRENT_USER_SUCCESS = 'UPDATE_CURRENT_USER_SUCCESS';
export const UPDATE_CURRENT_USER_FAIL = 'UPDATE_CURRENT_USER_FAIL';

export const SEELCTED_USER_PROFILE_CHANGE_AVATAR_REQUEST = 'SEELCTED_USER_PROFILE_CHANGE_AVATAR_REQUEST';
export const SELECTED_USER_PROFILE_CHANGE_AVATAR_SUCCESS = 'SELECTED_USER_PROFILE_CHANGE_AVATAR_SUCCESS';
export const SELECTED_USER_PROFILE_CHANGE_AVATAR_FAIL = 'SELECTED_USER_PROFILE_CHANGE_AVATAR_FAIL';

export const UPDATE_CURRENT_USER_PASSWORD_REQUEST = 'UPDATE_CURRENT_USER_PASSWORD_REQUEST';
export const UPDATE_CURRENT_USER_PASSWORD_SUCCESS = 'UPDATE_CURRENT_USER_PASSWORD_SUCCESS';
export const UPDATE_CURRENT_USER_PASSWORD_FAIL = 'UPDATE_CURRENT_USER_PASSWORD_FAIL';